---
title: Skills
---

Non-technical skills were moved to: [/#ciro-santillis-skills](/#ciro-santillis-skills)

I'm not keeping this up-to-date for now as it is too hard to put a number on any skill, and because I haven't for a job in a while ;-) What really matters are [my projects](/#the-most-important-projects-done-by-ciro-santilli).

{{ site.toc }}

Grading scale:

| 10    | You literally have written a book.                                  |
| 7 - 9 | Expert, go-to person on this technology.                            |
| 5 - 6 | Solid daily working knowledge. Highly proficient.                   |
| 3 - 4 | Comfortable working with this, have to check manual on some things. |
| 1 - 2 | Have worked with it previously but either not much, or rusty.       |
{: #grading-table}

I copied this grading scale mechanism from a failed Google interview ;-)

One problem with it is that I am always very hesitant to put a 5 on anything, who can not look at the documentation?

It is also hard to scope things right. Who can claim to be a C++ or Linux kernel expert, even if you wrote a book about it, since those are such humongous topics?

As a result, I haven't updated this in a while, and things may be out of date.

If your project does something that [interests me](/interests), I can what it takes to contribute. Tell me what I must know, how long I have to learn it, and I'll call you back when I've mastered it.

## Programming languages

| Grade | Name                  | Notes                                                                                                                                                                                                                                                     |
|-------|-----------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| 4     | C / C++               | Cheatsheets: [C](https://github.com/cirosantilli/cpp-cheat/blob/master/c/), [C++](https://github.com/cirosantilli/cpp-cheat/blob/master/cpp/), [POSIX C API](https://github.com/cirosantilli/cpp-cheat/blob/master/posix/)                                |
| 3     | x86 assembly, ELF     | [Cheatsheet][assembly-cheat], [Paging tutorial](/x86-paging), [Bare Metal][bare-metal]                                                                                                                                                                    |
| 4     | Python                | [Cheatsheet][python-cheat]                                                                                                                                                                                                                                |
| 4     | Bash                  | Cheatsheets: [language](https://github.com/cirosantilli/bash-cheat), [POSIX / GNU utils][linux-cheat]                                                                                                                                                     |
| 4     | HTML, CSS, JavaScript | [Cheatsheets][web-cheat], [Node.js](https://github.com/cirosantilli/nodejs-cheat), [CoffeScript](https://github.com/cirosantilli/nodejs-cheat/tree/master/coffee)                                                                                         |
| 4     | Java                  | [Cheatsheet][java-cheat], school projects                                                                                                                                                                                                                 |
| 3     | Ruby, Rails           | [GitLab contributions](/projects), cheatsheets: [Ruby][ruby-cheat], [Rails][rails-cheat]                                                                                                                                                                  |
| 3     | GDB                   | [Cheatsheet](https://github.com/cirosantilli/cpp-cheat/tree/f034893788f2fe372c94942e1e35590ec05ab361/gdb)                                                                                                                                                 |
| 2     | MySQL                 | [Tutorial](/db/mysql)                                                                                                                                                                                                                                     |
| 3     | LaTeX, Markdown       | [LaTeX cheatsheet](https://github.com/cirosantilli/latex-cheat), [Markdown style guide](/markdown-style-guide), [Markdown Testsuite contributions](https://github.com/karlcow/markdown-testsuite/graphs/contributors), [Jekyll cheatsheet](/jekyll-cheat) |
{: #languages-table .data-table}

## Other technologies

| Grade | Name                                 | Notes                                                                                                                                                                           |
|-------|--------------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| 3     | Algorithms                           | [Cheatsheet and implementations][algorithm-cheat]                                                                                                                               |
| 3     | Linux internals                      | [Linux Kernel Module Cheat][lkmc]                                                                                                                                               |
| 5     | Git                                  | [Tutorial](/git-tutorial)                                                                                                                                                       |
| 4     | Buildroot                            | [Some .configs](https://github.com/cirosantilli/buildroot-configs), [Linux Kernel Module Cheat uses it a lot][lkmc]                                                             |
| 3     | OpenGL                               | [Cheatsheet and mini projects](https://github.com/cirosantilli/cpp-cheat/tree/master/opengl)                                                                                    |
| 3     | Vim                                  | [.vimrc + cheatsheet at end](https://github.com/cirosantilli/dotfiles/blob/master/home/.vimrc)                                                                                  |
| 3     | Django                               | [Cheatsheet and mini project](https://github.com/cirosantilli/django-cheat)                                                                                                     |
| 2     | Android                              | [Cheatsheet][android-cheat]                                                                                                                                                     |
| 2     | OpenCL                               | [Cheatsheet](https://github.com/cirosantilli/cpp-cheat/tree/d14107f7c0b5e03e85d3f01b16f61271c260ae03/opencl)                                                                    |
| 3     | QEMU                                 | [QEMU recipes](https://github.com/cirosantilli/linux-cheat/blob/492dbf28213c0c92fc4e034181a36734a50a7a24/qemu.md), [basic devices](https://stackoverflow.com/a/44612957/895245) |
| 1     | [Chef](https://www.getchef.com/chef/) | For [GitLab Contributions](/projects)                                                                                                                                           |
| 1     | AWS, Heroku                          | EC2, SES                                                                                                                                                                        |
| 1     | Media formats                        | Video, Images, [FFmpeg](https://stackoverflow.com/search?tab=votes&q=user%3a895245%20[ffmpeg])                                                                                   |
| 1     | Networking                           | [Cheatsheet][networking-cheat], [basic POSIX networking](https://github.com/cirosantilli/cpp-cheat/tree/d14107f7c0b5e03e85d3f01b16f61271c260ae03/posix)                         |
{: #other-tech-table .data-table}

{% include links.md %}
