---
title: How to blackout your window without drilling
---

This is meant to be an answer to: <https://diy.stackexchange.com/questions/27669/how-can-i-thoroughly-blackout-a-bedroom-window-on-a-budget> but that question was protected and I can't answer right now because I don't have 10 reputation on the website, so here goes.

{{ site.toc }}

## Total Blackout Cassette Roller Blind from Order Blinds Online

This is my first working setup, done in a rental friendly way without drilling. I am sure that it is possible to do it cheaper, better and with less work, but it the first one that worked for me, so I will document it.

Cost: 150 Dollars for a relatively large 130 x 158 cm window. They do not sell for windows much larger than that.

Bought from <https://www.orderblinds.co.uk/>

My window faces East, and in summer the sun rises at around 5AM here, and I am a bit light sensitive and was getting destroyed.

This setup, together with:

- the existing sliding curtains which were not enough on their own
- a cheap and comfortable ["Go Travel"](https://www.amazon.co.uk/Go-Travel-sleep-silky-Mask/dp/B00VGAH0N8)sleeping mask from the Pharmacy

is good enough to allow me to sleep properly, which is priceless.

<img src="https://upload.wikimedia.org/wikipedia/commons/a/a6/Total_Blackout_Cassette_Roller_Blind_With_Curtains.jpg" height="600">

<img src="https://web.archive.org/web/20190823083205if_/https://images-na.ssl-images-amazon.com/images/I/41kiYRgIhtL.jpg" height="200">

Demonstration if everything goes exceptionally well: [How to fit a Total Blackout Cassette Roller Blind](https://www.youtube.com/watch?v=sGLq9OuF9Yg) by "Order Blinds Online" published on Jan 27, 2016:

<iframe width="560" height="315" src="https://www.youtube.com/embed/cTVVe7codw4" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

However, not all will necessarily be fun and games as in that YouTube video, especially if you are doing it for the first time, and the main point of this article is to make you aware of that.

The first problem is that you may have to remove existing useless "privacy blinds" from the way, which can mean putting effort into learning how they work and, has a risk of damaging the property. So be smart and get a chair and a second person to help you out!

Next, fitting the side rails is not going to be that easy. The thing has to be tight to block the light, right? Careful not to scratch the bottom sill! 

Then you will notice that, like in the video at <https://youtu.be/cTVVe7codw4?t=106>, you are expected to screw the side rails to the bottom wood / plastic sill of the window, which is not rental acceptable! So I didn't to that, but together with the black tape that I will mention next, it held well enough.

The top part requires hammering nails as shown on the video: <https://youtu.be/cTVVe7codw4?t=24> but this is generally rental acceptable, and you can fill the holes afterwards.

Once you have the setup in place, it is likely that there will be some light gaps still, because it is basically impossible to make such large objects fit perfectly. This was especially true for the top of the window, but also for the sides, so I just used some black tape

So I added some wide (50mm) [Diall PVC repairing black tape](https://www.diy.com/departments/diall-black-repair-tape-l-25m-w-50mm/1638456_BQ.prd) ([archive](http://web.archive.org/web/20190823073702/https://www.diy.com/departments/diall-black-repair-tape-l-25m-w-50mm/1638456_BQ.prd)) between the blind and the wall to completely seal off the light:

<img src="https://upload.wikimedia.org/wikipedia/commons/c/ca/Total_Blackout_Cassette_Roller_Blind_Black_Tape.jpg" height="500">

<img src="http://web.archive.org/web/20190823073053if_/https://media.diy.com/is/image/Kingfisher/3663602932345_01c" height="500">

There is still some leakage at the bottom however, which cannot be taped. I mitigated that a bit by putting some black T-shirts on the bottom window sill, and together with the pre-existing rental curtain, it was enough.

Another minor annoyance is that parts of the blind cloth sometimes slip out of the conduit holes in the aluminium side bars. For this reason, I have to always open and close slowly and carefully. But if it does happen, fully opening and closing carefully has solved the problem.

## Previous failed attempts

I also believe in publishing [null results](https://en.wikipedia.org/wiki/Null_result), so here goes.

Thick cardboard paper and [Gorilla Tape](https://www.amazon.co.uk/Gorilla-3044010-Tape-32m/dp/B001W030HM): the intense Sun heat made the cardboard bend, and even the Gorilla tape could not hold it, leading to light leakage. Even worse, it started to smell a bit, and I got afraid that it could catch fire, do don't do this! Maybe I will try coating with aluminium foil next time, but I'm afraid it might stick to the glass. In any case, even if those setups work, your room may be permanently very dark depending on how far the window opens, which can lead to other problems such as mold.

I have tried a few sleeping masks, but none of them were enough on their own. There is always some light leakage around the nose, especially as you turn around in the night. And some of them are too hot. I have tried:

- [Sleep Master](https://www.sleepmastereurope.com/) ([archive](https://web.archive.org/web/20190629010859/https://www.sleepmastereurope.com/)): <https://www.amazon.co.uk/gp/product/B0015NZ6FK> ([archive](https://web.archive.org/web/20190823082519/https://www.amazon.co.uk/gp/product/B0015NZ6FK)). Also too hot.
- [Muji Eye Mask](https://www.muji.eu/pages/online.asp?Sec=18&Sub=76&PID=9469&qclr=4549738743972)

I also considered getting one of those "Perfect Fit Blinds" <https://www.blindsdirect.co.uk/perfect-fit-roller-blinds> ([archive](http://web.archive.org/save/https://www.blindsdirect.co.uk/perfect-fit-roller-blinds)) which fit between the glass and the insulation. This looks like it could work. But I didn't go for it in the end because my window has 3 glass panels, so I would have to get three of those blinds separately.
